The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Ошибка установки php"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы WEB технологии (Public)
Изначальное сообщение [ Отслеживать ]

"Ошибка установки php"  +/
Сообщение от Akmal email(??) on 24-Май-06, 15:21 
Во время установки Apache + PHP + Perl + SSL + MySQL в шаге PHP в команде
./configure --with-apache=../apache_1.3.36 --enable-track-vars --enable-mod_charset --with-mysql=/usr/local/mysql/
говорит, что
checking whether to enable LIBXML support... yes
checking libxml2 install dir... no
checking for xml2-config path...
configure: error: xml2-config not found. Please check your libxml2 installation.

что еще надо установить??

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Ошибка установки php"  +/
Сообщение от Akmal email(??) on 25-Май-06, 09:19 
>Во время установки Apache + PHP + Perl + SSL + MySQL
>в шаге PHP в команде
>./configure --with-apache=../apache_1.3.36 --enable-track-vars --enable-mod_charset --with-mysql=/usr/local/mysql/
>говорит, что
>checking whether to enable LIBXML support... yes
>checking libxml2 install dir... no
>checking for xml2-config path...
>configure: error: xml2-config not found. Please check your libxml2 installation.
>
>что еще надо установить??


Эту ошибку устранил, но теперь другая ошибка:
в конфигурировании
# cd mod_ssl-2.8.27-1.3.36
# ./configure --with-apache=../apache_1.3.36 --with-ssl=../openssl-0.9.7i --prefix=/usr/local/apache --activate-module=..apache_1.3.36/src/modules/php4/libphp4.module

говорит, что
configure:Error: Module source already has to be below src/modules/ to be activated
./configure:Error: APACI failed
Из-за этого невозможно открыть пхп-файлы???
Кто может помочь?????

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Ошибка установки php"  +/
Сообщение от dsl email on 25-Май-06, 10:48 
>>Во время установки Apache + PHP + Perl + SSL + MySQL
>>в шаге PHP в команде
>>./configure --with-apache=../apache_1.3.36 --enable-track-vars --enable-mod_charset --with-mysql=/usr/local/mysql/
>>говорит, что
>>checking whether to enable LIBXML support... yes
>>checking libxml2 install dir... no
>>checking for xml2-config path...
>>configure: error: xml2-config not found. Please check your libxml2 installation.
>>
>>что еще надо установить??
>
>
>Эту ошибку устранил, но теперь другая ошибка:
>в конфигурировании
># cd mod_ssl-2.8.27-1.3.36
># ./configure --with-apache=../apache_1.3.36 --with-ssl=../openssl-0.9.7i --prefix=/usr/local/apache --activate-module=..apache_1.3.36/src/modules/php4/libphp4.module
>
>говорит, что
>configure:Error: Module source already has to be below src/modules/ to be activated
>
>./configure:Error: APACI failed
>Из-за этого невозможно открыть пхп-файлы???
>Кто может помочь?????

а зачем вам Это? Все уже собрано для Вас другими.
Пользуйтесь штатными средствами обновления ОС!

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "Ошибка установки php"  +/
Сообщение от Akmal email(??) on 25-Май-06, 11:25 
>>Во время установки Apache + PHP + Perl + SSL + MySQL
>>в шаге PHP в команде
>>./configure --with-apache=../apache_1.3.36 --enable-track-vars --enable-mod_charset --with-mysql=/usr/local/mysql/
>>говорит, что
>>checking whether to enable LIBXML support... yes
>>checking libxml2 install dir... no
>>checking for xml2-config path...
>>configure: error: xml2-config not found. Please check your libxml2 installation.
>>
>>что еще надо установить??
>
>
>Эту ошибку устранил, но теперь другая ошибка:
>в конфигурировании
># cd mod_ssl-2.8.27-1.3.36
># ./configure --with-apache=../apache_1.3.36 --with-ssl=../openssl-0.9.7i --prefix=/usr/local/apache --activate-module=..apache_1.3.36/src/modules/php4/libphp4.module
>
>говорит, что
>configure:Error: Module source already has to be below src/modules/ to be activated
>
>./configure:Error: APACI failed
>Из-за этого невозможно открыть пхп-файлы???
>Кто может помочь?????


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Ошибка установки php"  +/
Сообщение от btr (??) on 11-Июн-06, 15:54 
при конфигурировании php скажи --disable-libxml
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "Ошибка установки php"  +/
Сообщение от ALex email on 28-Окт-09, 12:19 
yum install libxml2
yum install libxml2-devel  

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру